Bug 1478703 - Review Request: perl-Exporter-Easy - Takes the drudgery out of Exporting symbols
Review Request: perl-Exporter-Easy - Takes the drudgery out of Exporting symbols
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1472755
  Show dependency treegraph
 
Reported: 2017-08-06 05:41 EDT by Emmanuel Seyman
Modified: 2017-08-10 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2017-08-06 05:41:49 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Exporter-Easy/perl-Exporter-Easy.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Exporter-Easy/perl-Exporter-Easy-0.18-1.fc26.src.rpm
Description:
Exporter::Easy makes using Exporter easy. In its simplest case, it allows
you to drop the boilerplate code that comes with using Exporter, so more
complicated situations where you use tags to build lists and more tags
become easy

Fedora Account System Username: eseyman
Rpmlint Output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Petr Pisar 2017-08-07 02:51:52 EDT
The standalone and packaged spec files differ. I will use the standalone one for this review.

URL and Source0 addresses are Ok.
Source0 archive (SHA-256: d347b2292ffc6332e5bac1aece73796cb75c1eb4a79b1a4de9c54ab08f1c2565) is original. OK.
Summary verified from README. Ok.

FIX: The description does not end with a full stop. Please add it.

License verified from README, LICENSE, lib/Exporter/Easy.pm, lib/Exporter/Easiest.pm. Ok.
No XS code, noarch BuildArch is Ok.

All test pass. Ok.

$ rpmlint perl-Exporter-Easy.spec ../SRPMS/perl-Exporter-Easy-0.18-1.fc27.src.rpm ../RPMS/noarch/perl-Exporter-Easy-0.18-1.fc27.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Exporter-Easy-0.18-1.fc27.noarch.rpm
drwxr-xr-x    2 root    root                        0 Aug  7 08:43 /usr/share/doc/perl-Exporter-Easy
-rw-r--r--    1 root    root                     1967 Nov 11  2015 /usr/share/doc/perl-Exporter-Easy/Changes
-rw-r--r--    1 root    root                    18346 Nov 11  2015 /usr/share/doc/perl-Exporter-Easy/LICENSE
-rw-r--r--    1 root    root                      379 Nov 11  2015 /usr/share/doc/perl-Exporter-Easy/README
-rw-r--r--    1 root    root                      110 Nov 11  2015 /usr/share/doc/perl-Exporter-Easy/TODO
-rw-r--r--    1 root    root                     1850 Aug  7 08:43 /usr/share/man/man3/Exporter::Easiest.3pm.gz
-rw-r--r--    1 root    root                     3943 Aug  7 08:43 /usr/share/man/man3/Exporter::Easy.3pm.gz
drwxr-xr-x    2 root    root                        0 Aug  7 08:43 /usr/share/perl5/vendor_perl/Exporter
-rw-r--r--    1 root    root                     2979 Nov 11  2015 /usr/share/perl5/vendor_perl/Exporter/Easiest.pm
-rw-r--r--    1 root    root                    12445 Nov 11  2015 /usr/share/perl5/vendor_perl/Exporter/Easy.pm
FIX: Package LICENSE file using %license macro.

$ rpm -q --requires -p ../RPMS/noarch/perl-Exporter-Easy-0.18-1.fc27.noarch.rpm |sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(:VERSION) >= 5.6.0
      1 perl(Exporter)
      1 perl(Exporter::Easy)
      1 perl(strict)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Exporter-Easy-0.18-1.fc27.noarch.rpm |sort -f | uniq -c
      1 perl(Exporter::Easiest) = 0.18
      1 perl(Exporter::Easy) = 0.18
      1 perl-Exporter-Easy = 0.18-1.fc27
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Exporter-Easy-0.18-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

The package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=21083327). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items before building this package.
Resolution: Package APPROVED.
Comment 2 Ralph Bean 2017-08-10 12:28:54 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Exporter-Easy
Comment 3 Ralph Bean 2017-08-10 12:29:10 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Exporter-Easy

Note You need to log in before you can comment on or make changes to this bug.